function show_flow(I1, I2_warped, u,v)
[M N] = size(u);
% find robust max flow for better visualization
magnitude = (u.^2 + v.^2).^0.5;  
max_flow = prctile(magnitude(:),95);

subplot(1,3,1), imshow(I1,[]);
subplot(1,3,2), imshow(I2_warped,[]);
drawnow;

tmp = zeros(M,N,2);
tmp(:,:,1) = min(max(u,-max_flow),max_flow);
tmp(:,:,2) = min(max(v,-max_flow),max_flow);
if max(tmp(:)) > min(tmp(:))
  sfigure(1); subplot(1,3,3); imshow(uint8(flowToColor(tmp)),[]); drawnow;
end